<%@ taglib prefix="sf" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> 
<c:set var="contextPath" value="${pageContext.request.contextPath}"/>

<!DOCTYPE html>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Examlist</title>

<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="author" content="Roberto Calvo Mendoza">
<link href="${contextPath}/css/bootstrap.min.css" rel="stylesheet">
<link href="${contextPath}/css/bootstrap-theme.min.css" rel="stylesheet">

<meta charset="utf-8" />
<title>Login</title>
<body> 
	<div class="row clearfix">
		<div
			class="column col-xs-12 col-sm-10 col-md-6 col-lg-6 col-sm-offset-1 col-md-offset-3 ">			
			
			<div class="panel panel-default" style="margin-top:10%;">
				<div class="panel-heading">
					<h3>
						Acceso Examlist
					</h3>
				</div>
				<div class="panel-body">
					<c:url var="loginUrl" value="/login" />
					<sf:form method="POST" action="${loginUrl}" theme="bootstrap" modelAttribute="login">

                        <c:if test="${param.error != null}">
                            <div class="alert alert-danger">
                                <p>Combinación incorrecta de usuario y contraseña.</p>
                            </div>
                        </c:if>
                        
                        <c:if test="${param.logout != null}">
                            <div class="alert alert-success">
                                <p>Ha salido correctamente de la aplicación.</p>
                            </div>
                        </c:if>
										
						<div class="form-group">
							<sf:input name="userName" label="Usuario" class="form-control" placeholder="Usuario" path="username" />
						</div>
						<div class="form-group">
							<sf:password name="password" label="Password" class="form-control" placeholder="Contraseña" path="password" />
						</div>						
						<input type="hidden" name="${_csrf.parameterName}"  value="${_csrf.token}" />
						<input type="submit" value="Enviar" class="btn btn-lg btn-primary btn-block"  />
					</sf:form>
				</div>
			</div>
		</div>
	</div>
</body>
</html>