/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


var serviceURL = "http://examlist-robertocalvouoc.rhcloud.com/rest/";
var examenes;


$(document).one("mobileinit", function () {	 
	// Setting #container div as a jqm pageContainer
	$.mobile.pageContainer = $('#container');	 
	// Setting default page transition to slide
	$.mobile.defaultPageTransition = 'slide'; //Se le pueden dar valores como: slide, fade, pop, flip...  http://demos.jquerymobile.com/1.4.5/transitions/
});

document.addEventListener("deviceready", function(){init();});


function init() {
    //aquí van el código javascript que debe ejecutarse nada más iniciarse la aplicación

    //alert("aaaaaaaaaaa");
}


$("#btn-next-exams").click( function( event, ui) {
    window.location.href = "#next-exams-page";
} );


$("#btn-califications").click( function( event, ui) {
    window.location.href = "#califications";
} );

//ver página: http://api.jquerymobile.com/page/#event-create
//capturo el evento de cargarse la página 'lista' y añado los elementos a la lista
$( "#next-exams-page" ).on( "pagecreate", function( event, ui ) {

	$.getJSON(serviceURL + 'examen/alumno/1', function(data) {
		//$('#employeeList li').remove();
		examenes = data;
		$.each(examenes, function(index, examen) {
			$('#next-exams-page ul').append('<li id="'+ examen.id  +'"><a href="#">'+examen.asignatura+ '<p class="ui-date-time">'+ examen.fecha + ' ' +  examen.horaInicio + '</p></a></li>');
		});
    	$("#next-exams-page ul").listview("refresh");
	});


    $("#next-exams-page ul").append('<li id="exam1"><a href="#">Idioma extranjero<p class="ui-date-time">22/11/2016 15:30</p></a></li>');
    $("#next-exams-page ul").append('<li id="exam2"><a href="#">Economía<p class="ui-date-time">02/12/2016 10:00</p></a></li>');
    $("#next-exams-page ul").append('<li id="exam3"><a href="#">Programación Web<p class="ui-date-time">05/12/2016 10:00</p></a></li>');
    $("#next-exams-page ul").append('<li id="exam4"><a href="#">Administración de sistemas<p class="ui-date-time">10/12/2016 12:30</p></a></li>');

    $("#next-exams-page ul").listview("refresh");
} );


$("#next-exams-page").on('click', 'li', function( event, ui) { 
    //alert($(this).attr('id'));
    //$("#hdDetalleCoche").text($(this).text());
    //$("#exam-title").text($(this).text());    
	$("#exam-name").text("Idioma extranjero"); 
	$("#sp-exam-date").text("25/11/2016"); 
	$("#sp-exam-time").text("9:30"); 
	$("#sp-exam-place").text("Instituto Tecnológico Superior, Aula B"); 
	$("#sp-exam-address").text("Calle Primavera, 27 San Jose 67315"); 
	$("#sp-exam-remarks").text("Accesible con silla de ruedas"); 
    window.location.href = "#exam-detail";
} );


$( document ).on( "pageinit", "#map-page", function() {
    var defaultLatLng = new google.maps.LatLng(34.0983425, -118.3267434);  // Default to Hollywood, CA when no geolocation support
    if ( navigator.geolocation ) {
        function success(pos) {
            // Location found, show map with these coordinates
            drawMap(new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude));
        }
        function fail(error) {
            drawMap(defaultLatLng);  // Failed to find location, show default map
        }
        // Find the users current position.  Cache the location for 5 minutes, timeout after 6 seconds
        navigator.geolocation.getCurrentPosition(success, fail, {maximumAge: 500000, enableHighAccuracy:true, timeout: 6000});
    } else {
        drawMap(defaultLatLng);  // No geolocation support, show default map
    }
    function drawMap(latlng) {
        var myOptions = {
            zoom: 10,
            center: latlng,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        var map = new google.maps.Map(document.getElementById("map-canvas"), myOptions);
        // Add an overlay to the map of current lat/lng
        var marker = new google.maps.Marker({
            position: latlng,
            map: map,
            title: "Greetings!"
        });
		//$('#map-canvas').css('width', '100%');
		//$('#map-canvas').css('height', '100%');
    }
});


$( "#califications" ).on( "pagecreate", function( event, ui ) {
    $("#califications ul").append('<li id="result1"><span class="ui-title-left">Idioma extranjero</span><span style="float:right; font-weight: bold;">8,5</span><p class="ui-date-time">22/11/2016 15:30</p></li>');
    $("#califications ul").append('<li id="result2">Economía<p class="ui-date-time">02/12/2016 10:00</p></li>');
    $("#califications ul").append('<li id="result3">Programación Web<p class="ui-date-time">05/12/2016 10:00</p></li>');
    $("#califications ul").append('<li id="result4">Administración de sistemas<p class="ui-date-time">10/12/2016 12:30</p></li>');

    $("#califications ul").listview("refresh");
} );








