package org.uoc.examlist.data;

import java.util.List;
import java.util.logging.Logger;

import javax.persistence.EntityManager;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Root;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import org.uoc.examlist.model.Alumno;
import org.uoc.examlist.model.Names;


@Repository
@Transactional
public class NameDaoImpl implements NameDao {
	
    @Autowired
    private EntityManager em;

	public List<Names> findAllOrderedByLast() {
        CriteriaBuilder cb = em.getCriteriaBuilder();
        CriteriaQuery<Names> criteria = cb.createQuery(Names.class);
        Root<Names> names = criteria.from(Names.class);
        criteria.select(names).orderBy(cb.asc(names.get("last")));
        return em.createQuery(criteria).getResultList();             
	}
	
    public void register(Names names) {
        em.persist(names);
        return;
    }
    
    public Alumno pruebaGetAlumno(int id){        
    	System.out.println("111111111");
        Alumno alumno = em.find(Alumno.class, 1);
    	System.out.println("22222222");
        alumno.getUsuario();
        alumno.getUsuario().getProfesors();
    	System.out.println("33333333"+alumno.getUsuario().getLogin());
        return alumno;

    	
    }

}
