package org.uoc.examlist.data;

import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;


@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration({"file:src/test/applicationContextTest.xml" } )
public class UsuarioDaoTest {

	@Autowired
	private UsuarioDao usuarioDao;
	
	@Test
	public void testFindUsuarioByLogin() {
		assertTrue(usuarioDao.findUsuarioByLogin("user1").getId() == 1 );
	}
		
	@Test
	public void testUpdateToken() {
		assertTrue(usuarioDao.updateToken(1, "").getId() ==1 );
	}	
	
	@Test
	public void testFindUsuario() {
		assertTrue(usuarioDao.findUsuario(1).getId() ==1 );
	}	
	
	@Test
	public void testUdateAccessTime() {
		assertTrue(usuarioDao.updateAccessTime(1).getId() ==1 );
	}
	
	
	
}
